"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertKey = void 0;
const t = __importStar(require("@babel/types"));
function convertKey(flowKey) {
    if (t.isIdentifier(flowKey) || t.isStringLiteral(flowKey)) {
        return flowKey;
    }
    else {
        if (t.isMemberExpression(flowKey) &&
            t.isIdentifier(flowKey.object) &&
            t.isIdentifier(flowKey.property)) {
            if (flowKey.object.name === 'Symbol' &&
                flowKey.property.name === 'iterator') {
                return t.identifier('@@iterator');
            }
            if (flowKey.object.name === 'Symbol' &&
                flowKey.property.name === 'asyncIterator') {
                return t.identifier('@@asyncIterator');
            }
        }
    }
    if (t.isNumericLiteral(flowKey)) {
        return t.stringLiteral(flowKey.value + '');
    }
    throw new Error('not implemented');
}
exports.convertKey = convertKey;
//# sourceMappingURL=convertKey.js.map